
Redmine - Patch #2265

Revert a specific plugin migrations

2008-12-02 15:20 - Jean-Baptiste Barth

Status: Closed Start date: 2008-12-02

Priority: Normal Due date:  

Assignee: Eric Davis % Done: 100%

Category: Plugin API Estimated time: 0.00 hour

Target version: 0.9.0   

Description

There's a topic on the forum here where the person asks how to revert plugin migrations easily. I think it would be useful if people

want to try plugins and then uninstall it.

Engines seems to be able to do that but I didn't managed to make it work. Anyway, I think it's the same as the task to migrate all

plugins : Engines know how to do this but a redmine specific task has been added. So I suggest to add a redmine specific task to

migrate just one plugin.

I leave a patch in attachment, which is nearly a copy/paste from Engines db:migrate:plugin task.

Usage:

$ rake db:migrate_plugin NAME=my_plugin : migrate to last version of "my_plugin"

$ rake db:migrate_plugin NAME=my_plugin VERSION=X : migrate to version X (and 0 when you uninstall)

Any opinion about that ?

Related issues:

Related to Redmine - Feature #3597: Rails 2.3.4 support Closed 2009-07-08 2009-09-13

Has duplicate Redmine - Feature #3329: New rake test: Allow migrating plugin ... Closed 2009-05-10

History

#1 - 2008-12-02 22:44 - Jean-Baptiste Barth

- File deleted (migrate_plugins.diff)

#2 - 2008-12-02 22:47 - Jean-Baptiste Barth

- File migrate_plugins.diff added

My proposal wasn't very beautiful.. Sorry for the double post.

#3 - 2008-12-05 11:17 - Markus Knittig

+1

I have also failed to get the Engines uninstall routine work.

#4 - 2008-12-05 18:46 - Stephanie Collett

+1 This will be handy when experimenting with plugins.

#5 - 2009-01-03 04:14 - Eric Davis

- Status changed from New to 7

- Assignee set to Eric Davis

Great workaround.  I'd like fix this in Engines and submit a patch to the Engines project.  I just tried to migrate a plugin on a separate Engines project (

http://github.com/courtenay/tentacle/tree/master) and it had the same error.

#6 - 2009-02-20 16:30 - Thomas Löber

- File engines.rake.diff added

As the Engines plugin is part of Redmine's source tree shoudn't we fix the error there? (See patch.)
http://github.com/courtenay/tentacle/tree/master


#7 - 2009-03-17 12:44 - Benjamin Baroukh

Any news about an integration into Redmine core ?

#8 - 2009-04-20 16:23 - Javier Barroso

I tried uninstall budget plugin, but table 'deliverates' is still on db. did I lose something ?

Thanks

#9 - 2009-09-06 22:46 - Eric Davis

For the Rails 2.3.4 upgrade (#3597) I had to upgrade Engines which will fix this bug.  I'll close it once #3597 is ready.

#10 - 2009-09-13 19:18 - Eric Davis

- Status changed from 7 to Closed

- Target version set to 0.9.0

- % Done changed from 0 to 100

This should be fixed in the latest Rails Engines upgrade, r2887.

Files

migrate_plugins.diff 830 Bytes 2008-12-02 Jean-Baptiste Barth

engines.rake.diff 587 Bytes 2009-02-20 Thomas Löber
